Redmine - Defect #18310

Default issue columns don't follow the set order
2014-11-10 11:02 - Anonymous

Status: Closed Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: No feedback Affected version: 25.2
Description

In the "Administration > Settings > Issue Tracking" page, we have the ability to select which columns are displayed by default and in
what order they must be placed. However, running with 2.5.2 the column order is not applied to the issues list view.

Manually setting the column order in the "Options" expandable panel when viewing a list of issues works and the column order used
for custom queries both work correctly, this only affects the default column order when using the "View all issues" view.

I'm unsure what version this issue started in, | was running 2.4.3 prior to upgrading straight to 2.5.2. No errors logged that | can see.

Associated revisions

Revision 13583 - 2014-11-11 13:33 - Jean-Philippe Lang

Adds a test for default issue columns order (#18310).

History

#1 - 2014-11-11 13:35 - Jean-Philippe Lang
- Status changed from New to Needs feedback

- Resolution set to Cant reproduce

Works for me with current trunk. I've added a test for that in r13583 and it passes.

Do you have plugins installed? Also, make sure that you reset the issue list (Clear button) after changing the default columns setting.

#2 - 2014-11-11 13:44 - Anonymous

Jean-Philippe Lang wrote:

Works for me with current trunk. I've added a test for that in r13583 and it passes.

Do you have plugins installed? Also, make sure that you reset the issue list (Clear button) after changing the default columns setting.
Hmm.. Thanks for the info. | have quite a few plugins installed, but none that modify the issue list view or the column sorting, so | didn't think they
would make any difference here. I'll double check this in a clean install this evening and see that changes anything.

| did clear the column order after testing that in the issue list view though, I'm quite used to doing that thanks to the was custom queries work in the
Ul.:)

#3 - 2015-08-23 17:03 - Jan Niggemann (redmine.org team member)

- Resolution changed from Cant reproduce to No feedback

#4 - 2016-06-13 19:58 - Anonymous

| haven't been able to reproduce this issue.. Apologies for not doing this sooner, | was going through my list of reported/watched issues and noticed
that this one was still here.

As far as I'm concerned, this can be closed off.

#5 - 2016-07-02 07:21 - Go MAEDA
- Status changed from Needs feedback to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/13583
https://www.redmine.org/projects/redmine/repository/svn/revisions/13583

Thanks for the feedback. Closing.
